VisualEditor: Use a hidden preference rather than cookie for logged-in users to remember hidebetawelcome
Closed, ResolvedPublic

Description

Author: swalling

Description:
The introductory dialog for VE is supposed to be seen only once per person. However, it seems that the way it is hidden for users is dependent on session information, probably a cookie?

This means that every time I clear my cookies, open an incognito browser window, use a new browser, or use a new device, I get the intro again. Even if I'm using the same account. This stinks.

In GuidedTours we solve this problem (not showing users repeated intro tours across devices/sessions) by setting a hidden preference when someone completes a tour. I'd like to suggest we do that for the VE intro, unless someone can think of a more elegant way to avoid this annoying behavior.


Version: unspecified
Severity: enhancement

bzimport set Reference to bz55551.
bzimport created this task.Via LegacyOct 10 2013, 8:20 AM
Jdforrester-WMF added a comment.Via ConduitJan 27 2014, 10:23 AM

Yay more preferences bloat (and a slower page load). :-(

Given that the welcome dialog is temporary, I was tempted to WONTFIX this, but if someone wants to code it up we might consider accepting it.

bzimport added a comment.Via ConduitJan 27 2014, 6:48 PM

swalling wrote:

(In reply to comment #1)

Yay more preferences bloat (and a slower page load). :-(

Given that the welcome dialog is temporary, I was tempted to WONTFIX this,
but
if someone wants to code it up we might consider accepting it.

In this case, the preference is hidden so while it might be bloat, it's not the kind that clogs up Special:Preferences. I'm not sure what's worse: presenting an unnecessary modal repeatedly or slowing page load time. Have we actually quantified how much each preference slows page load?

gerritbot added a comment.Via ConduitApr 14 2014, 11:40 PM

Change 125914 had a related patch set uploaded by Jforrester:
Hide the beta welcome via a preference, not a cookie, for logged in users

https://gerrit.wikimedia.org/r/125914

gerritbot added a comment.Via ConduitMay 10 2014, 12:06 PM

Change 125914 merged by jenkins-bot:
mw.ViewPageTarget: Hide the welcome dialog via a preference if possible

https://gerrit.wikimedia.org/r/125914

bzimport added a comment.Via ConduitMay 23 2014, 8:32 PM

tahart wrote:

Where is this preference to turn of the Welcome overlay located? I am always getting the "Welcome..." dialog when I click Edit, while logged in on the same machine, same session... I'm using Chrome Version 35.0.1916.114 on Mavericks 10.9.2.

Krenair added a comment.Via ConduitMay 27 2014, 7:08 PM

(In reply to Tom Hart from comment #5)

Where is this preference to turn of the Welcome overlay located? I am always
getting the "Welcome..." dialog when I click Edit, while logged in on the
same machine, same session... I'm using Chrome Version 35.0.1916.114 on
Mavericks 10.9.2.

It's hidden, only the server interacts with it. This is bug 65821

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.